svn::Status Class Reference

`#include <status.hpp>`

## Public Member Functions

| Status (const char *path=0, const svn_wc_status2_t *status=0)
| Status (const Status &src)
| ~Status ()
const char * | path () const
const Entry | entry () const
svn_wc_status_kind | textStatus () const
svn_wc_status_kind | propStatus () const
bool | isVersioned () const
bool | isCopied () const
bool | isSwitched () const
svn_wc_status_kind | reposTextStatus () const
svn_wc_status_kind | reposPropStatus () const
bool | isLocked () const
bool | isRepLock () const
const char * | lockToken () const
const char * | lockOwner () const
const char * | lockComment () const
apr_time_t | lockCreationDate () const
Status & | operator= (const Status &)
bool | isSet () const

## Detailed Description

Subversion status API.

See Also
  svn_wc.hpp

## Constructor & Destructor Documentation

svn::Status::Status | ( | const char * | path = `0`,
|  | const svn_wc_status2_t * | status = `0`
| ) |  |

default constructor

Parameters

  path |
  status |

svn::Status::Status | ( | const Status & | src | ) |

copy constructor

svn::Status::~Status | ( |  | ) |

destructor

## Member Function Documentation

const Entry svn::Status::entry | ( |  | ) | const

Returns
  entry for this path

Return values

  entry.isValid | () = false item is not versioned

bool svn::Status::isCopied | ( |  | ) | const

Return values

  TRUE | if copied

bool svn::Status::isLocked | ( |  | ) | const

Returns
  true if locked

bool svn::Status::isRepLock | ( |  | ) | const

Returns
  true if has repository lock (not local)

bool svn::Status::isSet | ( |  | ) | const

check whether the instance contains real data or nothing if it has constructed with the default constructor

Note
  This is the successor of isset which had to be removed since there was a name conflict with system headers on some systems (see issue 676)

Since
  0.12

bool svn::Status::isSwitched | ( |  | ) | const

Return values

  TRUE | if switched

bool svn::Status::isVersioned | ( |  | ) | const

Return values

  TRUE | if under version control

const char* svn::Status::lockComment | ( |  | ) | const

Returns
  comment lock, null or no comment

apr_time_t svn::Status::lockCreationDate | ( |  | ) | const

Returns
  lock creation date or 0 if not locked

const char* svn::Status::lockOwner | ( |  | ) | const

Returns
  lock owner or null if not locked

const char* svn::Status::lockToken | ( |  | ) | const

Returns
  lock token or null if not locked

Status& svn::Status::operator= | ( | const Status & |  | ) |

assignment operator

const char* svn::Status::path | ( |  | ) | const

Returns
  path of status entry

svn_wc_status_kind svn::Status::propStatus | ( |  | ) | const

Returns
  file status property enum of the "property" component.

svn_wc_status_kind svn::Status::reposPropStatus | ( |  | ) | const

Returns
  the entry's prop status in the repository

svn_wc_status_kind svn::Status::reposTextStatus | ( |  | ) | const

Returns
  the entry's text status in the repository

svn_wc_status_kind svn::Status::textStatus | ( |  | ) | const

Returns
  file status property enum of the "textual" component.

The documentation for this class was generated from the following file:

- status.hpp